### robocode

# Class StatusEvent

- `java.lang.Object`
- - `robocode.Event`
  - - `robocode.StatusEvent`

Implemented Interfaces:
  Comparable, Serializable

`public final class StatusEvent`
`extends Event`

This event is sent to `onStatus()` every turn in a battle to provide the status of the robot.

Author:
  Flemming N. Larsen (original)

Since:
  1.5

  ## Constructor Summary

  `StatusEvent(RobotStatus status)`
    This constructor is called internally from the game in order to create a new `RobotStatus`.

  ## Method Summary

  `RobotStatus`

  `getStatus()`
    Returns the `RobotStatus` at the time defined by `Robot.getTime()`.

  ### Methods inherited from class robocode.Event

  `compareTo`, `getPriority`, `getTime`

## Constructor Details

### StatusEvent

    public StatusEvent(RobotStatus status)

> This constructor is called internally from the game in order to create a new `RobotStatus`.
> Parameters:
>   `status` - the current states

## Method Details

### getStatus

    public RobotStatus getStatus()

> Returns the `RobotStatus` at the time defined by `Robot.getTime()`.
> Returns:
>   the `RobotStatus` at the time defined by `Robot.getTime()`.
> See Also:
>   `getTime()`